/*
    SUPPL - a supplemental library for common useage
    Copyright (C) 1995,1996  Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    See: COPYING.LB
*/
/* $RCSfile: ENV_STRS.C $
   $Locker:  $	$Name:  $	$State: Exp $

	env_strings(word segm)

	Returns the number of strings appended to the environment.
	Return 0 indicates either no environment at all or no string.

	If segm == 0, the current used environment is processed.

	Target compilers: Micro-C v3.13, v3.14; Borland C v2, v3.1, v4.52

*/

#include "environ.h"

#ifndef lint
static char const rcsid[] = 
	"$Id: ENV_STRS.C 2.3 1996/12/05 03:56:02 ska Exp $";
#endif

int env_strings(word segm)
{	return env_strcounter(segm, 0);
}
